Rapid7 Vulnerability & Exploit Database

VMSA-2020-0026: VMX elevation-of-privilege vulnerability (CVE-2020-4005)

Back to Search

VMSA-2020-0026: VMX elevation-of-privilege vulnerability (CVE-2020-4005)

Severity
7
CVSS
(AV:L/AC:L/Au:N/C:C/I:C/A:C)
Published
11/20/2020
Created
11/25/2020
Added
11/24/2020
Modified
12/07/2020

Description

VMware ESXi (7.0 before ESXi70U1b-17168206, 6.7 before ESXi670-202011101-SG, 6.5 before ESXi650-202011301-SG) contains a privilege-escalation vulnerability that exists in the way certain system calls are being managed. A malicious actor with privileges within the VMX process only, may escalate their privileges on the affected system. Successful exploitation of this issue is only possible when chained with another vulnerability (e.g. CVE-2020-4004)

Solution(s)

  • vmware-esxi65-upgrade-17167537
  • vmware-esxi67-upgrade-17167734
  • vmware-esxi70-upgrade-17168206

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;